Bug 1212907 - FormatDestroyError: error wiping old signatures from /dev/mapper/luks-5b5b812e-1b30-45e4-9260-c320e24cd9dc: 1
Summary: FormatDestroyError: error wiping old signatures from /dev/mapper/luks-5b5b812...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Blivet Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c507a86bc5b9c2994ed0765a87c...
: 1226243 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-17 16:01 UTC by Pierguido Lambri
Modified: 2016-07-19 13:45 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 13:45:48 UTC


Attachments (Terms of Use)
File: anaconda-tb (621.72 KB, text/plain)
2015-04-17 16:01 UTC, Pierguido Lambri
no flags Details
File: anaconda.log (51.12 KB, text/plain)
2015-04-17 16:01 UTC, Pierguido Lambri
no flags Details
File: dnf.log (15.33 KB, text/plain)
2015-04-17 16:01 UTC, Pierguido Lambri
no flags Details
File: environ (492 bytes, text/plain)
2015-04-17 16:01 UTC, Pierguido Lambri
no flags Details
File: lsblk_output (3.76 KB, text/plain)
2015-04-17 16:01 UTC, Pierguido Lambri
no flags Details
File: nmcli_dev_list (1.54 KB, text/plain)
2015-04-17 16:01 UTC, Pierguido Lambri
no flags Details
File: os_info (443 bytes, text/plain)
2015-04-17 16:01 UTC, Pierguido Lambri
no flags Details
File: storage.log (218.30 KB, text/plain)
2015-04-17 16:01 UTC, Pierguido Lambri
no flags Details
File: syslog (104.93 KB, text/plain)
2015-04-17 16:01 UTC, Pierguido Lambri
no flags Details
File: ifcfg.log (2.28 KB, text/plain)
2015-04-17 16:01 UTC, Pierguido Lambri
no flags Details
File: packaging.log (2.06 KB, text/plain)
2015-04-17 16:02 UTC, Pierguido Lambri
no flags Details
File: program.log (55.78 KB, application/octet-stream)
2015-04-17 16:02 UTC, Pierguido Lambri
no flags Details

Description Pierguido Lambri 2015-04-17 16:01:42 UTC
Version-Release number of selected component:
anaconda-22.20.8-1

The following was filed automatically by anaconda:
anaconda 22.20.8-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/formats/__init__.py", line 410, in destroy
    raise FormatDestroyError(msg)
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 662, in execute
    self.format.destroy()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 361, in processActions
    action.execute(callbacks)
  File "/usr/lib/python2.7/site-packages/blivet/blivet.py", line 162, in doIt
    self.devicetree.processActions(callbacks)
  File "/usr/lib/python2.7/site-packages/blivet/osinstall.py", line 1058, in turnOnFilesystems
    storage.doIt(callbacks)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 196, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall, callbacks=callbacks_reg)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 244, in run
    threading.Thread.run(self, *args, **kwargs)
FormatDestroyError: error wiping old signatures from /dev/mapper/luks-5b5b812e-1b30-45e4-9260-c320e24cd9dc: 1

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python2  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-22_B_T8-x86_64 quiet
dnf.rpm.log:    Apr 17 15:49:23 INFO --- logging initialized ---
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.0.0-0.rc5.git4.1.fc22.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        22

Comment 1 Pierguido Lambri 2015-04-17 16:01:46 UTC
Created attachment 1015650 [details]
File: anaconda-tb

Comment 2 Pierguido Lambri 2015-04-17 16:01:48 UTC
Created attachment 1015651 [details]
File: anaconda.log

Comment 3 Pierguido Lambri 2015-04-17 16:01:49 UTC
Created attachment 1015652 [details]
File: dnf.log

Comment 4 Pierguido Lambri 2015-04-17 16:01:50 UTC
Created attachment 1015653 [details]
File: environ

Comment 5 Pierguido Lambri 2015-04-17 16:01:51 UTC
Created attachment 1015654 [details]
File: lsblk_output

Comment 6 Pierguido Lambri 2015-04-17 16:01:53 UTC
Created attachment 1015655 [details]
File: nmcli_dev_list

Comment 7 Pierguido Lambri 2015-04-17 16:01:54 UTC
Created attachment 1015656 [details]
File: os_info

Comment 8 Pierguido Lambri 2015-04-17 16:01:56 UTC
Created attachment 1015657 [details]
File: storage.log

Comment 9 Pierguido Lambri 2015-04-17 16:01:58 UTC
Created attachment 1015658 [details]
File: syslog

Comment 10 Pierguido Lambri 2015-04-17 16:01:59 UTC
Created attachment 1015659 [details]
File: ifcfg.log

Comment 11 Pierguido Lambri 2015-04-17 16:02:00 UTC
Created attachment 1015660 [details]
File: packaging.log

Comment 12 Pierguido Lambri 2015-04-17 16:02:02 UTC
Created attachment 1015661 [details]
File: program.log

Comment 13 Pete Travis 2015-05-09 06:19:42 UTC
Another user experienced a similar problem:

reusing LUKS lvm created by F21 installer

addons:         com_redhat_kdump
cmdline:        /usr/bin/python2  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora-22_T3-x86_64 quiet
hashmarkername: anaconda
kernel:         4.0.1-300.fc22.x86_64
package:        anaconda-22.20.12-1
product:        Fedora
reason:         FormatDestroyError: error wiping old signatures from /dev/mapper/luks-313e17f5-fb73-402b-8f69-f53404f4d453: 1
release:        Cannot get release name.
version:        22

Comment 14 Pete Travis 2015-05-11 16:09:56 UTC
To clarify, I used F21 media to set up an installation, then attempted to reuse the partition layout (/boot ext2; /,/home,swap on LVs with encryption) while reinstalling from F22 prerelease media, *immediately* after first boot.  There were no problems queuing up the mount points in the storage spoke, but it failed on execution.  

It should be simple to replicate on a VM (I've moved past the issue with my laptop from the report) - just ask if I can help troubleshoot further.

Comment 15 Jakub Dorňák 2015-05-20 22:47:20 UTC
Another user experienced a similar problem:

still the same, reinstall on RAID

cmdline:        /usr/bin/python2  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-22_B-3 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.0.0-0.rc5.git4.1.fc22.x86_64
other involved packages: python-blivet-1.0.7-1.fc22.noarch, python-libs-2.7.9-5.fc22.x86_64
package:        anaconda-core-22.20.9-1.fc22.x86_64
packaging.log:  
product:        Fedora
reason:         FormatDestroyError: error wiping old signatures from /dev/md/boot: 1
release:        Fedora release 22 (Twenty Two)
version:        22

Comment 16 Jakub Filak 2015-05-26 14:08:55 UTC
Another user experienced a similar problem:

This is a second attempt to install Fedora 22. This time I reused the disk configuraiton from my previous setup.

addons:         com_redhat_kdump
cmdline:        /usr/bin/python2  /sbin/anaconda
cmdline_file:   inst.repo=nfs:nfs.englab.brq.redhat.com:/pub/fedora/linux/development/22/x86_64/os/ initrd=F22/latest/x86_64/initrd.img BOOT_IMAGE=F22/latest/x86_64/vmlinuz 
dnf.rpm.log:    May 26 14:02:08 INFO --- logging initialized ---
hashmarkername: anaconda
kernel:         4.0.4-301.fc22.x86_64
package:        anaconda-22.20.13-1
product:        Fedora
reason:         FormatDestroyError: error wiping old signatures from /dev/mapper/luks-571eb727-cf11-4560-8854-bc1d3f1c3475: 1
release:        Cannot get release name.
version:        22

Comment 17 Jakub Filak 2015-05-26 14:18:06 UTC
I believe the correct component is blivet.

Comment 18 Vratislav Podzimek 2015-05-26 17:39:48 UTC
Okay, so this seems to happen if an encrypted LV [1] is reused during the installation process. Fortunately, this is not the default way how the installer does encryption so not many people should be affected by this.

[1] i.e. LV -> LUKS -> ext4 as layers

Comment 19 David Lehman 2015-05-26 18:25:45 UTC
This is caused by an interaction between commit b3f28a2d and the special way LVs are added. One fix would be to call the format handler from addLV right after adding the LV.

Comment 20 Be 2015-05-26 19:26:48 UTC
I'm running into the same issue upgrading from Fedora 21. My partition layout was originally created with the Fedora 19 installer.

Comment 21 Vratislav Podzimek 2015-05-27 07:11:55 UTC
(In reply to Be from comment #20)
> I'm running into the same issue upgrading from Fedora 21. My partition
> layout was originally created with the Fedora 19 installer.

You can do the upgrade with the 'fedup' tool instead of the reinstallation. That should avoid hitting this issue.

Comment 22 Be 2015-05-27 08:31:16 UTC
This was my partition layout:
NAME                                              MAJ:MIN RM   SIZE RO TYPE  MOUNTPOINT
sda                                                 8:0    0 465.8G  0 disk  
├─sda1                                              8:1    0   200M  0 part  /boot/efi
├─sda2                                              8:2    0   500M  0 part  /boot
└─sda3                                              8:3    0 465.1G  0 part  
  └─luks-8bef245b-125a-42f7-8334-7d67ee2b1c18     253:0    0 465.1G  0 crypt 
    ├─fedora-Fedora19                             253:1    0  14.7G  0 lvm   
    │ └─luks-7dcc71a4-9af0-467b-8269-b90e85361b7d 253:4    0  14.7G  0 crypt /
    ├─fedora-swap                                 253:2    0   3.9G  0 lvm   
    │ └─luks-3956feaa-88b4-40d3-8e48-552b02e38b62 253:3    0   3.9G  0 crypt 
    ├─fedora-home                                 253:5    0   440G  0 lvm   
    │ └─luks-0526d1da-dbca-4c70-92b4-f87450e7fdf9 253:7    0   440G  0 crypt /home
    └─fedora-lvol0                                253:6    0   6.5G  0 lvm

I ended up backing up my /home partition to my external hard drive, wiping my whole hard drive, and doing automatic partitioning with encryption to get Fedora 22 to install. Now sda looks like:
NAME                                          MAJ:MIN RM   SIZE RO TYPE  MOUNTPOINT
sda                                             8:0    0 465.8G  0 disk  
├─sda1                                          8:1    0   200M  0 part  /boot/efi
├─sda2                                          8:2    0   500M  0 part  /boot
└─sda3                                          8:3    0 465.1G  0 part  
  └─luks-e9bf9fbf-983a-4c3b-8af5-87f4abe53d8d 253:0    0 465.1G  0 crypt 
    ├─fedora-swap                             253:1    0   3.9G  0 lvm   [SWAP]
    ├─fedora-root                             253:2    0    50G  0 lvm   /
    └─fedora-home                             253:3    0 411.2G  0 lvm   /home

Comment 23 Florian Fischer 2015-05-27 19:24:00 UTC
Hi,

I'm also seeing this. I don't know what changed but I used to upgrade, while leaving my /home in place for ages.
One nasty little twist is, that the installer seems to have started formating stuff. At least my Fedora 21 /boot is now wiped which makes it kind off cumbersome to just do 'fedup'.

Comment 24 Be 2015-05-27 19:26:30 UTC
I also had the installer format my /boot and EFI system partitions before crashing with this error, which is why I backed up /home and wiped everything on the drive rather than use fedup.

Comment 25 Jean-Marc Valin 2015-05-29 21:56:49 UTC
I'm also affected by this bug. The encryption setup was entirely done by the Fedora 20 install, so it's not like I manually attempted to do a non-standard setup.

Comment 26 Pete Travis 2015-05-30 23:34:46 UTC
*** Bug 1226243 has been marked as a duplicate of this bug. ***

Comment 27 Vratislav Podzimek 2015-06-01 09:21:42 UTC
An easy workaround for this issue should be to remove the LV and add a new one instead of reformatting it.

Comment 28 François 2015-06-11 15:19:53 UTC
Another user experienced a similar problem:

I was installing F22 workstation.
I was doing a manual partition task:
Deleting previous tables (btfrs from f20) and replacing it with a new one, keeping only one ext4 partition from previous configuration

cmdline:        /usr/bin/python2  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-22-3 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.0.4-301.fc22.x86_64
other involved packages: python-libs-2.7.9-6.fc22.x86_64, python-blivet-1.0.9-1.fc22.noarch
package:        anaconda-core-22.20.13-1.fc22.x86_64
packaging.log:  
product:        Fedora
reason:         FormatDestroyError: error wiping old signatures from /dev/sdb7: 1
release:        Fedora release 22 (Twenty Two)
version:        22

Comment 29 Matthew Dean 2015-06-16 14:15:27 UTC
Another user experienced a similar problem:

		First I formatted my HDD with GParted; then I tried to reformat it with the installer, because the installer still recognised it as unformatted; finally as I did so, the installer crashed when it was "setting up the installation environment".

		Also the "add a screencast" button doesn't work for Anaconda on the live CD.

		Thank you for reading this error report. Please contact me with any updates on fixing these bugs or anything else, at: Bean6754@gmail.com. As I can asure you that I would be happy to reply. Long live Fedora Linux! :D My favourite Linux distribution. :) 

		From, Matthew Dean (Bean6754). :)

cmdline:        /usr/bin/python2  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-WS-x86_64-22-3 ro rd.live.image quiet rhgb
hashmarkername: anaconda
kernel:         4.0.4-301.fc22.x86_64
other involved packages: python-libs-2.7.9-6.fc22.x86_64, python-blivet-1.0.9-1.fc22.noarch
package:        anaconda-core-22.20.13-1.fc22.x86_64
packaging.log:  
product:        Fedora
reason:         FormatDestroyError: error wiping old signatures from /dev/sda1: 1
release:        Fedora release 22 (Twenty Two)
version:        22

Comment 30 Gee-Bee 2015-06-28 15:25:29 UTC
Another user experienced a similar problem:

In anaconda, after initial setup and clicking begin installation.

cmdline:        /usr/bin/python2  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-WS-x86_64-22-3 ro rd.live.image quiet rhgb
hashmarkername: anaconda
kernel:         4.0.4-301.fc22.x86_64
other involved packages: python-libs-2.7.9-6.fc22.x86_64, python-blivet-1.0.9-1.fc22.noarch
package:        anaconda-core-22.20.13-1.fc22.x86_64
packaging.log:  
product:        Fedora
reason:         FormatDestroyError: error wiping old signatures from /dev/mapper/luks-deed6fef-0569-416f-96d2-55a0e2f3bbdf: 1
release:        Fedora release 22 (Twenty Two)
version:        22

Comment 31 David Lehman 2015-06-29 16:00:39 UTC
This should be fixed by commit 1d3fc6 in python-blivet-1.7-1, which is on rawhide and will be in Fedora 23.

Comment 32 Juraci Paixão Kröhling 2015-06-30 09:57:20 UTC
(In reply to David Lehman from comment #31)
> This should be fixed by commit 1d3fc6 in python-blivet-1.7-1, which is on
> rawhide and will be in Fedora 23.

Does that mean that people having this problem when installing Fedora 22 should have to wait for Fedora 23?

Comment 33 David Lehman 2015-06-30 22:18:28 UTC
We don't usually update the installation media after the initial release.

I made an updates image that should fix this issue for you when installing F22. Pass this on either the boot command line or the liveinst or anaconda command line:

  inst.updates=https://dlehman.fedorapeople.org/updates/1212907.0.img

Let me know how it goes.

Comment 34 Juraci Paixão Kröhling 2015-07-03 07:01:26 UTC
(In reply to David Lehman from comment #33)
> We don't usually update the installation media after the initial release.
> 
> I made an updates image that should fix this issue for you when installing
> F22. Pass this on either the boot command line or the liveinst or anaconda
> command line:
> 
>   inst.updates=https://dlehman.fedorapeople.org/updates/1212907.0.img
> 
> Let me know how it goes.

With the net install image, I couldn't boot with this option, entered as a kernel option (it stops before showing the splash), but with the live media, I was able to start liveist with this option and I can confirm that it fixes the issue.

Comment 35 Oleg Fayans 2015-07-10 14:56:51 UTC
Another user experienced a similar problem:

I had the following installation:
2 logical disks: one for /boot, another one for lvm physical volume

This whole lvm physical volume had a single volume group encrypted using standard LUKS setup and this vg had 3 logical volumes: for /, /home and swap
This all worked quite well, but when I desided to reinstall the OS, anaconda throwed the FormatDestroyError.
What I did was: in the "configure storage" section selected "I will manually configure storage" and then found the encrypted wolume group, entered the encryption password and clicked "unlock". It successfully showed all my logical volumes. The error was shown only when I finished configuring everything and clicked "begin installation"

addons:         com_redhat_kdump
cmdline:        /usr/bin/python2  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-22-x86_64 quiet
dnf.rpm.log:    Jul 10 14:41:55 INFO --- logging initialized ---
hashmarkername: anaconda
kernel:         4.0.4-301.fc22.x86_64
package:        anaconda-22.20.13-1
product:        Fedora
reason:         FormatDestroyError: error wiping old signatures from /dev/mapper/luks-9b1a1355-b6b2-4acf-ae29-0ca15da25a5a: 1
release:        Cannot get release name.
version:        22

Comment 36 depeshales 2015-07-13 02:36:20 UTC
Another user experienced a similar problem:

Occurred while installing Fedora Workstation 22 to replace old, broken OS (Fedora 21). Used default settings, and for manual partitioning, used common partitioning scheme: /, /boot, /home, /swap. / was reformatted while the other partitions were kept from the old installation. Error message pops up after pressing "Begin Installation".

Error log shows the first error to be "failed to erase old signatures"

cmdline:        /usr/bin/python2  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-22-3 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.0.4-301.fc22.x86_64
other involved packages: python-libs-2.7.9-6.fc22.x86_64, python-blivet-1.0.9-1.fc22.noarch
package:        anaconda-core-22.20.13-1.fc22.x86_64
packaging.log:  
product:        Fedora
reason:         FormatDestroyError: error wiping old signatures from /dev/mapper/luks-4d7a93e1-4be0-4db6-8d10-a35b15b399d0: 1
release:        Fedora release 22 (Twenty Two)
version:        22

Comment 37 random.misc.plus 2015-07-14 00:24:01 UTC
Another user experienced a similar problem:

I had installed 22 server, but was trying to overwrite it with MATE 22.  I have a SSD and a HD, I was trying to put the system stuff onto the SSD and long term data onto the HD in an encrypted partition.  The installer appears to have a problem with the encrypted partition on the HD.

cmdline:        /usr/bin/python2  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-MATE-x86_64-22-3 rootfstype=auto ro rd.live.image  rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.0.4-301.fc22.x86_64
other involved packages: python-libs-2.7.9-6.fc22.x86_64, python-blivet-1.0.9-1.fc22.noarch
package:        anaconda-core-22.20.13-1.fc22.x86_64
packaging.log:  
product:        Fedora
reason:         FormatDestroyError: error wiping old signatures from /dev/mapper/luks-8d76d144-83b5-4563-bf62-eb00c376cde3: 1
release:        Fedora release 22 (Twenty Two)
version:        22

Comment 38 robert fairbrother 2015-07-18 16:34:43 UTC
Another user experienced a similar problem:

https://bugzilla.redhat.com/show_bug.cgi?id=1204569

cmdline:        /usr/bin/python2  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Sec-i686-22-3 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 nomodeset
hashmarkername: anaconda
kernel:         4.0.4-301.fc22.i686
other involved packages: python-libs-2.7.9-6.fc22.i686, python-blivet-1.0.9-1.fc22.noarch
package:        anaconda-core-22.20.13-1.fc22.i686
packaging.log:  
product:        Fedora
reason:         FormatDestroyError: error wiping old signatures from /dev/sdb1: 1
release:        Fedora release 22 (Twenty Two)
version:        22

Comment 39 Dave Johansen 2015-07-28 14:08:59 UTC
Another user experienced a similar problem:

Install Fedora 22 on top of Fedora 21.

cmdline:        /usr/bin/python2  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-MATE-i686-22-3 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.0.4-301.fc22.i686
other involved packages: python-libs-2.7.9-6.fc22.i686, python-blivet-1.0.9-1.fc22.noarch
package:        anaconda-core-22.20.13-1.fc22.i686
packaging.log:  
product:        Fedora
reason:         FormatDestroyError: error wiping old signatures from /dev/mapper/luks-2de9558d-f452-458c-bffd-bc55416905ec: 1
release:        Fedora release 22 (Twenty Two)
version:        22

Comment 40 Dave Johansen 2015-07-31 05:22:56 UTC
Another user experienced a similar problem:

I let it delete the existing paritions and create completely new ones.

cmdline:        /usr/bin/python2  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-MATE-i686-22-3 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.0.4-301.fc22.i686
other involved packages: python-libs-2.7.9-6.fc22.i686, python-blivet-1.0.9-1.fc22.noarch
package:        anaconda-core-22.20.13-1.fc22.i686
packaging.log:  
product:        Fedora
reason:         FormatDestroyError: error wiping old signatures from /dev/mapper/luks-34a67a00-22b1-4827-a475-d786e2d0ff95: 1
release:        Fedora release 22 (Twenty Two)
version:        22

Comment 41 Iaroslav Prokopenko 2015-09-03 18:58:52 UTC
Another user experienced a similar problem:

Install from Fedora 22 XFCE Live USB stick. Workstation image works fine, XFCE is not. Proplem arise on partitioning step, both reformat or creating new partitions. Encryption option was selected for all installations

cmdline:        /usr/bin/python2  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Xfce-x86_64-22-3 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.0.4-301.fc22.x86_64
other involved packages: python-libs-2.7.9-6.fc22.x86_64, python-blivet-1.0.9-1.fc22.noarch
package:        anaconda-core-22.20.13-1.fc22.x86_64
packaging.log:  
product:        Fedora
reason:         FormatDestroyError: error wiping old signatures from /dev/mapper/luks-c6e30c74-dcd3-4d06-8f50-f19bd0564698: 1
release:        Fedora release 22 (Twenty Two)
version:        22

Comment 42 Iaroslav Prokopenko 2015-09-03 19:26:02 UTC
As was described in the topic this issue appears in two-disk configuration. 
Issue was resolved for me by removing second drive during install process

Comment 43 Fedora Admin XMLRPC Client 2015-09-28 20:26:22 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 44 Fedora End Of Life 2016-07-19 13:45:48 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.